## ros-rosconsole-bridge 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosconsole_bridge)

find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED COMPONENTS rosconsole)

include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS} ${console_bridge_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS rosconsole
  DEPENDS console_bridge
)

add_library(${PROJECT_NAME} src/bridge.cpp)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES})

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

install(
  DIRECTORY include/
  DESTINATION include
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-rosconsole-bridge (0.4.2-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:04:11 +0100

ros-rosconsole-bridge (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #804029)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 24 Dec 2015 01:59:58 +0000

=== debian/control ===
Source: ros-rosconsole-bridge
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libconsole-bridge-dev,
	librosconsole-dev, libroscpp-core-dev, libboost-regex-dev,
	dh-exec (>=0.3)
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/rosconsole_bridge
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rosconsole-bridge.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rosconsole-bridge.git

Package: librosconsole-bridge-dev
Section: libdevel
Architecture: any
Depends: librosconsole-bridge0d (= ${binary:Version}), libconsole-bridge-dev, ${misc:Depends}, librosconsole-dev
Description: Robot OS library for connecting console logging types
 This package is part of Robot OS (ROS). It contains the development
 files for librosconsole-bridge, which is a package used in
 conjunction with console_bridge and rosconsole for connecting
 console_bridge-based logging to rosconsole-based logging.

Package: librosconsole-bridge0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS library for connecting console logging types
 This package is part of Robot OS (ROS). It contains a library used in
 conjunction with console_bridge and rosconsole for connecting
 console_bridge-based logging to rosconsole-based logging.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3
https://github.com/ros/rosconsole_bridge/tags \
(?:.*/|)(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz)

## ros-rosconsole-bridge 0.4.4

=== debian/changelog ===
ros-rosconsole-bridge (0.4.4-1) unstable; urgency=medium

  * Imported Upstream version 0.4.4
  * Remove patch applied upstream
  * Disable test suite for now

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 10:20:16 +0200

## ros-rosconsole-bridge 0.5.1

=== test/CMakeLists.txt ===
# How can we ensure that the binary goes to build dir only, not devel dir?
add_executable(cleanup cleanup.cpp)
target_link_libraries(cleanup rosconsole_bridge)
add_test(cleanup COMMAND cleanup)

=== debian/changelog ===
ros-rosconsole-bridge (0.5.1-1build1) bionic; urgency=medium

  * No-change rebuild against libconsole-bridge0.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 07:13:11 +0000

ros-rosconsole-bridge (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Nov 2017 13:23:11 +0100

ros-rosconsole-bridge (0.5.0-1) unstable; urgency=medium

  * Update Vcs URLs
  * Update my email address
  * Update watch file
  * Remove old catkin version
  * New upstream version 0.5.0
  * Update compat to 10 (no changes)
  * Bump policy version (no changes)
  * Drop unused build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Oct 2017 08:36:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: ros-rosconsole-bridge
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libconsole-bridge-dev,
-	librosconsole-dev, libroscpp-core-dev, libboost-regex-dev,
-	dh-exec (>=0.3)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), catkin, libconsole-bridge-dev,
+	librosconsole-dev, libroscpp-core-dev, libboost-regex-dev
+Standards-Version: 4.1.1
 Section: libs
 Homepage: http://wiki.ros.org/rosconsole_bridge
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rosconsole-bridge.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rosconsole-bridge.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosconsole-bridge.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosconsole-bridge.git
 
 Package: librosconsole-bridge-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compress xz
+
+# test suite is broken atm.
+override_dh_auto_test:

## ros-rosconsole-bridge 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,12 +20,14 @@
 
 install(
   TARGETS ${PROJECT_NAME}
-  ARCHIVE DESTINATION lib
-  LIBRARY DESTINATION lib
+  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 )
 
 install(
-  DIRECTORY include/
-  DESTINATION include
-  FILES_MATCHING PATTERN "*.h"
-)
+  DIRECTORY include/${PROJECT_NAME}/
+  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
+
+if(CATKIN_ENABLE_TESTING)
+  add_subdirectory(test)
+endif()

=== debian/changelog ===
ros-rosconsole-bridge (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Aug 2018 18:51:52 +0200

ros-rosconsole-bridge (0.5.1-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 17:41:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: ros-rosconsole-bridge
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), catkin, libconsole-bridge-dev,
+Build-Depends: debhelper (>= 11), catkin, libconsole-bridge-dev,
 	librosconsole-dev, libroscpp-core-dev, libboost-regex-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Section: libs
-Homepage: http://wiki.ros.org/rosconsole_bridge
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosconsole-bridge.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rosconsole-bridge.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/rosconsole_bridge
+Vcs-Git: https://salsa.debian.org/science-team/ros-rosconsole-bridge.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole-bridge
 
 Package: librosconsole-bridge-dev
 Section: libdevel

## ros-rosconsole-bridge 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(rosconsole_bridge)
 
 find_package(console_bridge REQUIRED)
-find_package(catkin REQUIRED COMPONENTS rosconsole)
+find_package(catkin REQUIRED COMPONENTS cpp_common rosconsole)
 
 include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
 link_directories(${catkin_LIBRARY_DIRS} ${console_bridge_LIBRARY_DIRS})
@@ -22,6 +22,7 @@
   TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
 )
 
 install(

=== test/CMakeLists.txt ===
# How can we ensure that the binary goes to build dir only, not devel dir?
add_executable(cleanup cleanup.cpp)
target_link_libraries(cleanup rosconsole_bridge)
add_test(NAME cleanup COMMAND cleanup)

=== debian/changelog ===
ros-rosconsole-bridge (0.5.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:34 +0100

ros-rosconsole-bridge (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * Update build dependencies
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * cleanup rules
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 22 Aug 2019 09:57:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libconsole-bridge-dev,
-	librosconsole-dev, libroscpp-core-dev, libboost-regex-dev
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12), catkin, libconsole-bridge-dev,
+	librosconsole-dev, libroscpp-core-dev, libboost-regex-dev, libroscpp-core-dev
+Standards-Version: 4.4.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosconsole_bridge

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

# test suite is broken atm.
override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rosconsole-bridge-$1.tar.gz%" \
    https://github.com/ros/rosconsole_bridge/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-rosconsole-bridge 0.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rosconsole_bridge)
 
 find_package(console_bridge REQUIRED)

=== debian/changelog ===
ros-rosconsole-bridge (0.5.4-4build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:31:31 +0000

ros-rosconsole-bridge (0.5.4-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:16 +0200

ros-rosconsole-bridge (0.5.4-3) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 05 Sep 2021 21:32:18 +0200

ros-rosconsole-bridge (0.5.4-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 13:00:48 +0100

ros-rosconsole-bridge (0.5.4-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 0.5.4
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 20:53:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ros-rosconsole-bridge
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, libconsole-bridge-dev,
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libconsole-bridge-dev,
 	librosconsole-dev, libroscpp-core-dev, libboost-regex-dev, libroscpp-core-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosconsole_bridge
@@ -16,12 +16,15 @@
 Package: librosconsole-bridge-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: librosconsole-bridge0d (= ${binary:Version}), libconsole-bridge-dev, ${misc:Depends}, librosconsole-dev
-Description: Robot OS library for connecting console logging types
+Description: Robot OS library for connecting console logging types - development files
  This package is part of Robot OS (ROS). It contains the development
  files for librosconsole-bridge, which is a package used in
  conjunction with console_bridge and rosconsole for connecting
  console_bridge-based logging to rosconsole-based logging.
+ .
+ This package contains the development files for the library.
 
 Package: librosconsole-bridge0d
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rosconsole-bridge-$1.tar.gz%" \
    https://github.com/ros/rosconsole_bridge/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-rosconsole-bridge 0.5.5

=== debian/changelog ===
ros-rosconsole-bridge (0.5.5-1) unstable; urgency=medium

  * New upstream version 0.5.5
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Aug 2025 10:07:21 +0200

ros-rosconsole-bridge (0.5.4-5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop space

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 21:50:14 +0200

=== debian/control ===
Source: ros-rosconsole-bridge
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 catkin (>= 0.8.10-1~),
 libboost-regex-dev,
 libconsole-bridge-dev,
 librosconsole-dev,
 libroscpp-core-dev,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosconsole_bridge
Vcs-Git: https://salsa.debian.org/science-team/ros-rosconsole-bridge.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole-bridge

Package: librosconsole-bridge-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libconsole-bridge-dev,
 librosconsole-bridge0d (= ${binary:Version}),
 librosconsole-dev,
 ${misc:Depends},
Description: Robot OS library for connecting console logging types - development files
 This package is part of Robot OS (ROS). It contains the development
 files for librosconsole-bridge, which is a package used in
 conjunction with console_bridge and rosconsole for connecting
 console_bridge-based logging to rosconsole-based logging.
 .
 This package contains the development files for the library.

Package: librosconsole-bridge0d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS library for connecting console logging types
 This package is part of Robot OS (ROS). It contains a library used in
 conjunction with console_bridge and rosconsole for connecting
 console_bridge-based logging to rosconsole-based logging.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ros
